﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ball : MonoBehaviour {


    private Rigidbody2D MyBall;
    private Paddle paddle;
    private bool hasStarted = false;
    private Vector3 paddleToBallVector;



	// Use this for initialization
	void Start () {
        paddle = GameObject.FindObjectOfType<Paddle>();
        paddleToBallVector = this.transform.position - paddle.transform.position;
        MyBall = GetComponent<Rigidbody2D>();
        

    }
	
	// Update is called once per frame
	void Update () {
        if (!hasStarted)
        {
            this.transform.position = paddle.transform.position + paddleToBallVector;

            if (Input.GetMouseButtonDown(0))
            {
                print("Mouse clicked, launch ball");
                hasStarted = true;
                MyBall.velocity = new Vector2(2f, 10f);
                GetComponent<AudioSource>().Play();
            }

        }

    }

    private void OnCollisionEnter2D(Collision2D collision)
    {
        Vector2 tweak = new Vector2(Random.Range(0f, 0.2f), Random.Range(0f, 0.2f));

        if (hasStarted)
            {
                 GetComponent<AudioSource>().Play();
                 GetComponent<Rigidbody2D>().velocity += tweak;
        }
    }


   
}
